Subject: Re: linux-next20240208: tg3 driver nw interfaces not getting configured

From: Heiner Kallweit <[email-masked]>
Date: Thu, 8 Feb 2024 11:46:47 +0100

On 08.02.2024 09:30, Aithal, Srikanth wrote:
> Hi,
> 
> On 6.8.0-rc3-next-20240208, the network interfaces are not getting configured.
> 
Thanks for the report. Could you please elaborate on what "not getting
configured" means in detail?
- Any error in any log?
- Any other error message?
- Interface doesn't come up or which specific configuration are you missing?

> I have 'NetXtreme BCM5720 Gigabit Ethernet PCIe'
>        configuration: autonegotiation=on broadcast=yes driver=tg3
> 
> If I revert below commit I am able to get back the interfaces mentioned.
> 
> commit 9bc791341bc9a5c22b94889aa37993bb69faa317
> Author: Heiner Kallweit <[email-masked]>
> Date:   Sat Feb 3 22:12:50 2024 +0100
> 
>     tg3: convert EEE handling to use linkmode bitmaps
> 
>     Convert EEE handling to use linkmode bitmaps. This prepares for
>     removing the legacy bitmaps from struct ethtool_keee.
>     No functional change intended.
> 
>     Note: The change to mii_eee_cap1_mod_linkmode_t(tp->eee.advertised, val)
>     in tg3_phy_autoneg_cfg() isn't completely obvious, but it doesn't change
>     the current functionality.
> 
>     Signed-off-by: Heiner Kallweit <[email-masked]>
>     Reviewed-by: Andrew Lunn <[email-masked]>
>     Link: https://lore.kernel.org/r/[email-masked]
>     Signed-off-by: Jakub Kicinski <[email-masked]>
> 
> 
> The same works fine on 6.8.0-rc3-next-20240207.
> 
> Thanks,
> Srikanth Aithal
> [email-masked]
Heiner